# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename js-base64

Name:               nodejs-js-base64
Version:            2.1.5
Release:            1%{?dist}
Summary:            Yet another Base64 transcoder in pure-JS

Group:              Development/Libraries
License:            BSD
URL:                https://www.npmjs.org/package/js-base64
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6


%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif

%description
Yet another Base64 transcoder

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-base64
cp -pr package.json base64.js \
    %{buildroot}%{nodejs_sitelib}/js-base64

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc README.md
%{nodejs_sitelib}/js-base64/

%changelog
* Mon Aug 18 2014 Ralph Bean <rbean@redhat.com> - 2.1.5-1
- Initial packaging for Fedora.
